<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
include "includes/header.php";
include "includes/inc_online.php";
include "russian/lang_main.php"; //языковой файл
if(!empty($id))
{
$q = mysql_query("select band,guns,id,login,pass,status,bdata,mafcredits,level,police,health from users where id='".$id."';");
}

if(!empty($dbid))
{
$qdb = mysql_query("select * from users where id='".$dbid."';");
}
else
{
die ($lang['select_user_false']."");
}

$data = mysql_fetch_array($q);

$id=$data['id'];
$login=$data['login'];
$status=$data['status'];
$bdata=$data['bdata'];
$mafcredits=$data['mafcredits'];
$level=$data['level'];
$police=$data['police'];
$health=$data['health'];
$guns=$data['guns'];
$band=$data['band'];

$dbdata = mysql_fetch_array($qdb);

$dbid=$dbdata['id'];
$dblogin=$dbdata['login'];
$dbstatus=$dbdata['status'];
$dbbdata=$dbdata['bdata'];
$dbmafcredits=$dbdata['mafcredits'];
$dblevel=$dbdata['level'];
$dbpolice=$dbdata['police'];
$dblife=$dbdata['life'];
$dbhealth=$dbdata['health'];
$dbcars=$dbdata['cars'];
$dbguns=$dbdata['guns'];
$dbstatus=$dbdata['status'];
$dbabout=$dbdata['about'];
$dbmobile=$dbdata['mobile'];
$dbemail=$dbdata['email'];
$dbband=$dbdata['band'];
$dbbdata=$dbdata['bdata'];
$reg=explode(":",$dbbdata);
$dbsecur=$dbdata['secur'];

include "includes/inc_refs.php";
mysql_query("update users set last='".time()."',city='0' where id='".$id."';");

switch ($mode)
{
case cars:

if(!empty($dbsecur) && $dbsecur!=0) die ($lang['secur_oblom']."<br/><anchor>".$lang['back']."<prev/></anchor></small></p></card></wml>");

if($mafcredits>=$dbmafcredits || $level>=$dblevel)
{
if(!empty($guns) && empty($gun_ugnal))
{
print $lang['uv_which_gun']." $tachki ".$lang['uv_u']." $dblogin?<br/>";
$guns_count = explode(".", $guns);
$count_guns=count($guns_count);
echo "<form method=\"post\" action=\"userview.php?id=$id&amp;pass=$pass&amp;dbid=$dbid&amp;mode=cars&amp;tachki=$tachki\">";
print "</small><select name=\"gun_ugnal\">";
for($i=0;$i<$count_guns;$i++)
{
print "<option value=\"".$guns_count[$i]."\">".$guns_count[$i]."</option>";
}
echo "<input value=\"Ок\" type=\"submit\" class=\"cp\">\r\n</form>";
//print "</select><br/><small>";
//print "<anchor>".$lang['uv_try_steal']."
//<go href=\"userview.php?id=$id&amp;pass=$pass&amp;dbid=$dbid&amp;mode=cars&amp;tachki=$tachki\" method=\"post\">
//<postfield name=\"gun_ugnal\" value=\"$(gun_ugnal)\"/>
//</go></anchor><br/>";
}
elseif(!empty($gun_ugnal))
{
$attack_q = mysql_query("select who from attack where userid='$dbid';");
$attack_d=mysql_fetch_array($attack_q);
$who=explode(".",$attack_d['who']);
if($who[0]==$id)
{
print $lang['patience'];
}
else
{
/*
include "includes/func_gun_power.php";
*/

$gun_ugnal22=$gun_ugnal;
$tachki=cyr($tachki);
if($gun_ugnal==$lang['gun1'])$gun_ugnal=1;
elseif($gun_ugnal==$lang['gun2'])$gun_ugnal=2;
elseif($gun_ugnal==$lang['gun3'])$gun_ugnal=3;
elseif($gun_ugnal==$lang['gun4'])$gun_ugnal=4;
elseif($gun_ugnal==$lang['gun5'])$gun_ugnal=5;
elseif($gun_ugnal==$lang['gun6'])$gun_ugnal=6;
elseif($gun_ugnal==$lang['gun7'])$gun_ugnal=7;
elseif($gun_ugnal==$lang['gun8'])$gun_ugnal=8;
elseif($gun_ugnal==$lang['gun9'])$gun_ugnal=9;
elseif($gun_ugnal==$lang['gun10'])$gun_ugnal=10;
elseif($gun_ugnal==$lang['gun11'])$gun_ugnal=11;
elseif($gun_ugnal==$lang['gun12'])$gun_ugnal=12;
print $lang['uv_if']." $dblogin ".$lang['uv_wait'];
mysql_query("insert into attack values(0,'$dbid','$id.$login','$login ".$lang['uv_mes1']." $tachki! ".$lang['uv_mes2']." $gun_ugnal22! ".$lang['uv_mes3']."','".$gun_ugnal."','".time()."','$tachki');");
}
}
elseif(empty($guns))
{
print $lang['uv_without_guns'];
}
}
else
{
print $lang['uv_not_perm'];
}
break;

default:
print "<u>[".$lang['uv_head']." $dblogin]</u><br/>";
print $lang['regabout'].": $dbabout<br/>";
print $lang['uv_mobile'].": $dbmobile<br/>";
print $lang['uv_mail'].": $dbemail<br/>";
print $lang['uv_regdate1'].": ".$reg[1]." ".$lang['uv_regdate2']." ".$reg[0]." ".$lang['uv_regdate3']."<br/>";

if($id =$dbid)
{

if(!empty($band)) $boss_q=mysql_fetch_array(mysql_query("select boss from bands where name='".$band."';"));

if(empty($band) && empty($dbband)) print "<a href=\"bands/predl.php?id=$id&amp;pass=$pass&amp;dbid=$dbid\">[".$lang['uv_make_band']."]</a><br/>";
elseif(!empty($band) && empty($dbband) && $login==$boss_q['boss']) print "<a href=\"bands/band_panel.php?id=$id&amp;pass=$pass&amp;dbid=$dbid&amp;mode=new_member&amp;a=b\">[".$lang['uv_put_band']."]</a><br/>";
elseif(empty($band) && !empty($dbband)) print "<a href=\"bands/vstup.php?id=$id&amp;pass=$pass&amp;band=".urlencode($dbband)."\">[".$lang['uv_enter_band']."]</a><br/>";

print "<a href=\"mes.php?id=$id&amp;pass=$pass&amp;dbid=$dbid&amp;mode=reply\">[".$lang['uv_mes']."]</a><br/>";
print "<a href=\"fight.php?id=$id&amp;pass=$pass&amp;dbid=$dbid\">[".$lang['uv_fight']."]</a><br/>";
}


print "<u>[Игровые данные]</u><br/>";

print "Баксов: <b>$dbmafcredits $$</b><br/>";
print $lang['uv_health'].": <b>$dbhealth %</b><br/>";
print $lang['uv_police'].": <b>$dbpolice</b><br/>";
print $lang['uv_level'].": <b>$dblevel</b><br/>";
if(!empty($dbband)) print $lang['uv_band'].": <b><a href=\"bands/viewband.php?id=$id&amp;pass=$pass&amp;band=".urlencode($dbband)."\">$dbband</a></b><br/>";
print $lang['uv_status'].": <b>$dbstatus</b><br/>";
///print $dbcars['cars'].": <b>$dbcars</b><br/>";
if(!empty($dbcars))
{
$cars_count = explode(".", $dbcars);
$count_cars=count($cars_count);
print $lang['uv_cars']." <b>($count_cars)</b>:</small><br/>";
print "<select name=\"tachki\">";
for($i=0;$i<$count_cars;$i++)
{
print "<option value=\"".$cars_count[$i]."\">".$cars_count[$i]."</option>";
}
print "</select><br/><small>
<anchor>".$lang['uv_try_steal']."
<go href=\"userview.php?id=$id&amp;pass=$pass&amp;dbid=$dbid&amp;mode=cars\" method=\"post\">
<postfield name=\"tachki\" value=\"$(tachki)\"/>
</go>
</anchor><br/>";
}
if(!empty($dbguns))
{
$guns_count = explode(".", $dbguns);
$count_guns=count($guns_count);
print $lang['uv_guns']." <b>($count_guns)</b>:<br/>";
for($i=0;$i<$count_guns;$i++)
{
print $guns_count[$i].",";
}
}
break;
}
print "<br/>---<br/>&gt;<anchor>".$lang['back']."<prev/></anchor><br/>";
print "&gt;&gt;<a href=\"game.php?id=$id&amp;pass=$pass\">".$lang['menu']."</a><br/>";
echo "<br/><a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожка</a><br/>";
mysql_close();
include "includes/footer.php";
?>